package com.ruoyi.oa.service;

import java.util.List;
import com.ruoyi.oa.domain.CmcBorrow;

/**
 * cmc借款申请Service接口
 * 
 * @author cmc
 * @date 2024-04-07
 */
public interface ICmcBorrowService 
{
    /**
     * 查询cmc借款申请
     * 
     * @param borrowId cmc借款申请主键
     * @return cmc借款申请
     */
    public CmcBorrow selectCmcBorrowByBorrowId(String borrowId);

    /**
     * 查询cmc借款申请列表
     * 
     * @param cmcBorrow cmc借款申请
     * @return cmc借款申请集合
     */
    public List<CmcBorrow> selectCmcBorrowList(CmcBorrow cmcBorrow);

    /**
     * 新增cmc借款申请
     * 
     * @param cmcBorrow cmc借款申请
     * @return 结果
     */
    public int insertCmcBorrow(CmcBorrow cmcBorrow);

    /**
     * 修改cmc借款申请
     * 
     * @param cmcBorrow cmc借款申请
     * @return 结果
     */
    public int updateCmcBorrow(CmcBorrow cmcBorrow);

    /**
     * 批量删除cmc借款申请
     * 
     * @param borrowIds 需要删除的cmc借款申请主键集合
     * @return 结果
     */
    public int deleteCmcBorrowByBorrowIds(String[] borrowIds);

    /**
     * 删除cmc借款申请信息
     * 
     * @param borrowId cmc借款申请主键
     * @return 结果
     */
    public int deleteCmcBorrowByBorrowId(String borrowId);
}
